summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author nobody <nobody@nowhere>2010-05-12 17:46:03 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 17:46:03 +0200
commit8aa2cc8818015dfe0bf05a8368f419a4fb9a6353 (patch)
tree549571eebb732cd08d90ab68bdaba84e75404f5b /system
parentaf24e12ffc381cc670630ac5ed3d0437b3201f6f (diff)
downloadslackbuilds-8aa2cc8818015dfe0bf05a8368f419a4fb9a6353.tar.gz
slackbuilds-8aa2cc8818015dfe0bf05a8368f419a4fb9a6353.tar.xz
system/squeeze: Updated for version 0.2.3
Diffstat (limited to 'system')
-rw-r--r--system/squeeze/README8
-rw-r--r--system/squeeze/doinst.sh5
-rw-r--r--system/squeeze/slack-desc16
-rw-r--r--system/squeeze/squeeze.SlackBuild41
-rw-r--r--system/squeeze/squeeze.info6
5 files changed, 38 insertions, 38 deletions
diff --git a/system/squeeze/README b/system/squeeze/README
index 2478e4de72..6e2693e90a 100644
--- a/system/squeeze/README
+++ b/system/squeeze/README
@@ -1,4 +1,4 @@
-Squeeze is a modern and advanced archive manager for the
-Xfce Desktop Environment. Its design adheres to the Xfce
-philosophy, which basically means Squeeze is designed to
-be both fast and easy to use.
+Squeeze is a modern and advanced archive manager for the Xfce
+Desktop Environment. Its design adheres to the Xfce philosophy,
+which basically means Squeeze is designed to be both fast and
+easy to use.
diff --git a/system/squeeze/doinst.sh b/system/squeeze/doinst.sh
index 5dc6bb58c0..392c12adb9 100644
--- a/system/squeeze/doinst.sh
+++ b/system/squeeze/doinst.sh
@@ -1,3 +1,4 @@
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q usr/share/applications
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
fi
+
diff --git a/system/squeeze/slack-desc b/system/squeeze/slack-desc
index 5593ec14bd..ad81b8eba0 100644
--- a/system/squeeze/slack-desc
+++ b/system/squeeze/slack-desc
@@ -1,17 +1,17 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
squeeze: Squeeze (Xfce Archive Manager)
squeeze:
-squeeze: Squeeze is a modern and advanced archive manager for the
-squeeze: Xfce Desktop Environment. Its design adheres to the Xfce
-squeeze: philosophy, which basically means Squeeze is designed to
-squeeze: be both fast and easy to use.
+squeeze: Squeeze is a modern and advanced archive manager for the Xfce
+squeeze: Desktop Environment. Its design adheres to the Xfce philosophy,
+squeeze: which basically means Squeeze is designed to be both fast and
+squeeze: easy to use.
squeeze:
squeeze: Homepage: http://squeeze.xfce.org/
squeeze:
diff --git a/system/squeeze/squeeze.SlackBuild b/system/squeeze/squeeze.SlackBuild
index 9ec07f4d72..4de3f7c988 100644
--- a/system/squeeze/squeeze.SlackBuild
+++ b/system/squeeze/squeeze.SlackBuild
@@ -23,9 +23,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=squeeze
-VERSION=0.2.3
+VERSION=${VERSION:-0.2.3}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -33,21 +33,22 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS ChangeLog COPYING INSTALL NEWS README TODO"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
-
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -61,26 +62,24 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --program-prefix="" \
- --program-suffix="" \
- --enable-shared=yes \
--enable-static=no \
- --disable-debug \
- || exit 1
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
-# Create link to html docs:
-( cd $PKG/usr/doc/$PRGNAM-$VERSION ; ln -sf ../../share/gtk-doc/html/libsqueeze html )
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s ../../share/gtk-doc/html/libsqueeze/ html
+)
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/squeeze/squeeze.info b/system/squeeze/squeeze.info
index 8427de9baa..81f3b0c521 100644
--- a/system/squeeze/squeeze.info
+++ b/system/squeeze/squeeze.info
@@ -3,6 +3,6 @@ VERSION="0.2.3"
HOMEPAGE="http://squeeze.xfce.org/"
DOWNLOAD="http://squeeze.xfce.org/downloads/squeeze-0.2.3.tar.bz2"
MD5SUM="bd3cb0648b49be1f146fc4f675606176"
-MAINTAINER="Frank Caraballo"
-EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="David Somero"
+MAINTAINER="nobody"
+EMAIL="nobody@nowhere"
+APPROVED="rworkman"